=== modified file 'drizzled/item.cc'
--- drizzled/item.cc	2008-12-24 02:06:33 +0000
+++ drizzled/item.cc	2009-01-01 02:10:50 +0000
@@ -28,6 +28,7 @@
 #include <drizzled/item/cache_row.h>
 #include <drizzled/item/type_holder.h>
 #include <drizzled/item/sum.h>
+#include <drizzled/item/copy_string.h>
 #include <drizzled/function/str/conv_charset.h>
 #include <drizzled/virtual_column_info.h>
 #include <drizzled/sql_base.h>

=== modified file 'drizzled/item.h'
--- drizzled/item.h	2008-12-15 21:42:00 +0000
+++ drizzled/item.h	2009-01-01 02:10:50 +0000
@@ -587,12 +587,9 @@
 
 };
 
-#include <drizzled/item/basic_constant.h>
 #include <drizzled/item/bin_string.h>
 #include <drizzled/item/blob.h>
-#include <drizzled/item/copy_string.h>
 #include <drizzled/item/ident.h>
-#include <drizzled/item/field.h>
 
 void mark_as_dependent(Session *session,
 		       st_select_lex *last,

=== modified file 'drizzled/item/hex_string.h'
--- drizzled/item/hex_string.h	2008-12-09 19:33:58 +0000
+++ drizzled/item/hex_string.h	2009-01-01 02:10:50 +0000
@@ -20,6 +20,8 @@
 #ifndef DRIZZLED_ITEM_HEX_STRING_H
 #define DRIZZLED_ITEM_HEX_STRING_H
 
+#include <drizzled/item/basic_constant.h>
+
 class Item_hex_string: public Item_basic_constant
 {
 public:

=== modified file 'drizzled/item/insert_value.cc'
--- drizzled/item/insert_value.cc	2008-12-12 22:39:38 +0000
+++ drizzled/item/insert_value.cc	2009-01-01 02:10:50 +0000
@@ -24,6 +24,7 @@
 #include <drizzled/table.h>
 #include <drizzled/item/insert_value.h>
 #include <drizzled/item/ref.h>
+#include <drizzled/item/copy_string.h>
 #include <drizzled/field/null.h>
 
 

=== modified file 'drizzled/item/subselect.h'
--- drizzled/item/subselect.h	2008-12-12 22:39:38 +0000
+++ drizzled/item/subselect.h	2009-01-01 02:10:50 +0000
@@ -25,6 +25,7 @@
 
 #include <drizzled/comp_creator.h>
 #include <drizzled/item/ref.h>
+#include <drizzled/item/field.h>
 
 class st_select_lex;
 class st_select_lex_unit;

=== modified file 'drizzled/item/sum.h'
--- drizzled/item/sum.h	2008-12-06 19:42:46 +0000
+++ drizzled/item/sum.h	2009-01-01 02:10:50 +0000
@@ -26,6 +26,7 @@
 #include <mysys/my_tree.h>
 #include <drizzled/hybrid_type.h>
 #include <drizzled/item.h>
+#include <drizzled/item/field.h>
 
 
 class st_select_lex;

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2008-12-15 22:23:14 +0000
+++ drizzled/sql_select.cc	2009-01-01 02:10:50 +0000
@@ -38,6 +38,7 @@
 #include <drizzled/show.h>
 #include <drizzled/item/cache.h>
 #include <drizzled/item/cmpfunc.h>
+#include <drizzled/item/copy_string.h>
 #include <drizzled/item/uint.h>
 #include <drizzled/cached_item.h>
 #include <drizzled/sql_base.h>

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2008-12-24 02:06:33 +0000
+++ drizzled/sql_yacc.yy	2009-01-01 02:10:50 +0000
@@ -78,6 +78,7 @@
 #include <drizzled/error.h>
 #include <drizzled/nested_join.h>
 #include <drizzled/sql_parse.h>
+#include <drizzled/item/copy_string.h>
 #include <drizzled/item/cmpfunc.h>
 #include <drizzled/item/uint.h>
 #include <drizzled/item/null.h>

